function [Fx,H]=hyperpmf_train(X,rho)

[n,d]=size(X);
counts=sum(X.*repmat(rho,1,d));
ncounts=sum((1-X).*repmat(rho,1,d));

H=[counts; ncounts]./repmat(counts+ncounts,2,1);
Hx=X.*repmat(H(1,:),n,1) + (1-X).*repmat(H(2,:),n,1);
logHx=log(Hx+realmin);
Fx=sum(logHx,2);

%theta=H(1,:);
%Theta=repmat(theta,n,1);
%Fx=sum(X.*(log(Theta))+(1-X).*(log(1-Theta)),2);